Test2::EventFacet::Control - Facet for hub actions and behaviors.

- NAME
- DESCRIPTION
- FIELDS
- SOURCE
- MAINTAINERS
- AUTHORS
- COPYRIGHT

# NAME

Test2::EventFacet::Control - Facet for hub actions and behaviors.

# DESCRIPTION

This facet is used when the event needs to give instructions to the Test2 internals.

# FIELDS

$string = $control->{details}
$string = $control->details()

  Human readable explanation for the special behavior.

$bool = $control->{global}
$bool = $control->global()

  True if the event is global in nature and should be seen by all hubs.

$exit = $control->{terminate}
$exit = $control->terminate()

  Defined if the test should immediately exit, the value is the exit code and may be `0`.

$bool = $control->{halt}
$bool = $control->halt()

  True if all testing should be halted immediately.

$bool = $control->{has_callback}
$bool = $control->has_callback()

  True if the `callback($hub)` method on the event should be called.

$encoding = $control->{encoding}
$encoding = $control->encoding()

  This can be used to change the encoding from this event onward.

# SOURCE

The source code repository for Test2 can be found at http://github.com/Test-More/test-more/.

# MAINTAINERS

Chad Granum <exodist@cpan.org>

# AUTHORS

Chad Granum <exodist@cpan.org>

# COPYRIGHT

Copyright 2018 Chad Granum <exodist@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/

Test2::EventFacet::Control - Facet for hub actions and behaviors.